# class ParseTreeBase | More...
Internal Use Only
Contains pure virtuals
Definition | `#include <ktraderparsetree.h>`
Inherits | KShared (kdecore) [public ]
Inherited by | ParseTreeAND, ParseTreeBOOL, ParseTreeBRACKETS, ParseTreeCALC, ParseTreeCMP, ParseTreeDOUBLE, ParseTreeEXIST, ParseTreeID, ParseTreeIN, ParseTreeMATCH, ParseTreeMAX2, ParseTreeMIN2, ParseTreeNOT, ParseTreeNUM, ParseTreeOR, ParseTreeSTRING
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- typedef KSharedPtr<ParseTreeBase> Ptr

#### Public Methods

- ParseTreeBase ()
- virtual bool eval ( ParseContext *_context ) const

#### Protected Methods

- virtual ~ParseTreeBase ()

## Detailed Description

typedef KSharedPtr<ParseTreeBase> Ptr | ### Ptr

ParseTreeBase () | ### ParseTreeBase

bool eval ( ParseContext *_context ) | ### eval

[const pure virtual]

~ParseTreeBase () | ### ~ParseTreeBase

[protected virtual]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.